Skip to content
Get startedWebsite

Update account status

PATCH/api/v1/accounts/{id}

Update account status

Path ParametersExpand Collapse
id: string
formatuuid
Body ParametersJSONExpand Collapse
status: optional "active" or "suspended" or "closed"
One of the following:
"active"
"suspended"
"closed"
ReturnsExpand Collapse
Account object { id, account_number, account_type, 10 more }
id: string
formatuuid
account_number: string
account_type: "checking" or "saving"
One of the following:
"checking"
"saving"
balance: string
currency: string
environment: string
status: "active" or "suspended" or "closed"
One of the following:
"active"
"suspended"
"closed"
user_id: string
formatuuid
admin_user_id: optional string
formatuuid
created_at: optional string
formatdate-time
organization_id: optional string
formatuuid
updated_at: optional string
formatdate-time
user_role: optional string

Update account status

curl https://accounts-service-staging.up.railway.app/api/v1/accounts/$ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "X-API-Key: $RAILS_API_KEY" \
    -d '{}'
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "account_number": "account_number",
  "account_type": "checking",
  "balance": "balance",
  "currency": "currency",
  "environment": "environment",
  "status": "active",
  "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "admin_user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "user_role": "user_role"
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "account_number": "account_number",
  "account_type": "checking",
  "balance": "balance",
  "currency": "currency",
  "environment": "environment",
  "status": "active",
  "user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "admin_user_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "user_role": "user_role"
}